osl::eval::ml::King25EffectEachXY Class Reference

`#include <kingTable.h>`

## Public Types

enum | { X_DIM = 3000 , Y_DIM = 3240 , DIM = (X_DIM + Y_DIM) * EvalStages }

## Static Public Member Functions

static void | setUp (const Weights &weigths)

## Detailed Description

Definition at line 611 of file kingTable.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
X_DIM |
Y_DIM |
DIM |

Definition at line 614 of file kingTable.h.

## Member Function Documentation

## setUp()

void osl::eval::ml::King25EffectEachXY::setUp | ( | const Weights & | weigths | ) |

static

Definition at line 896 of file kingTable.cc.

References osl::eval::ml::ATTACK_DIFF_0, osl::eval::ml::King25EffectEachBoth::effect_state_table, osl::EvalStages, osl::NStages, osl::eval::ml::King25EffectEachBoth::table, osl::eval::ml::Weights::value(), X_DIM, osl::eval::ml::King25EffectEachBoth::x_table, Y_DIM, and osl::eval::ml::King25EffectEachBoth::y_table.

The documentation for this class was generated from the following files:

- kingTable.h
- kingTable.cc